#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: enclosed-exceptions
version: 1.0.2
id: enclosed-exceptions-1.0.2-IlmtDgtHW5omxuhaEBvP
key: enclosed-exceptions-1.0.2-IlmtDgtHW5omxuhaEBvP
license: MIT
maintainer: jmacristovao@gmail.com, michael@snoyman.com
homepage: https://github.com/jcristovao/enclosed-exceptions
synopsis: Catching all exceptions from within an enclosed computation
description:
    Catching all exceptions raised within an enclosed computation,
    while remaining responsive to (external) asynchronous exceptions.
    For more information on the technique, please see:
    <https://www.fpcomplete.com/user/snoyberg/general-haskell/exceptions/catching-all-exceptions>
category: Control
author: Michael Snoyman, João Cristóvão
exposed: True
indefinite: False
exposed-modules:
    Control.Exception.Enclosed
abi: 1546cb9ce66f6a614a12c1af9f4ba360
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/enclosed-exceptions-1.0.2
library-dirs: /usr/lib/ghc-8.2.1/site-local/enclosed-exceptions-1.0.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/i386-linux-ghc-8.2.1/enclosed-exceptions-1.0.2
hs-libraries: HSenclosed-exceptions-1.0.2-IlmtDgtHW5omxuhaEBvP
depends:
    base-4.10.0.0 transformers-0.5.2.0
    lifted-base-0.2.3.11-KDN0Y8mQMJ08XWJafJpKLJ
    monad-control-1.0.2.2-IzU5oITMXX63Y9dO6OJIj deepseq-1.4.3.0
    transformers-base-0.4.4-4U8VJPfvIYIDHbweeHN2Ld
abi-depends: base-4.10.0.0=a43b4ec12ad02cbfcdfe91f0942afb0a
             transformers-0.5.2.0=c9bb94e07e5a6cae97f4e7452aafbf8b
             lifted-base-0.2.3.11-KDN0Y8mQMJ08XWJafJpKLJ=bb85cfc6c0da3429f07db4d32d334f57
             monad-control-1.0.2.2-IzU5oITMXX63Y9dO6OJIj=f1e3985ff4759dcc429559c38ecdf6c4
             deepseq-1.4.3.0=ab64de23c9713e035549193002fe9df0
             transformers-base-0.4.4-4U8VJPfvIYIDHbweeHN2Ld=33975d5ab4ac245dea75155525ae62b2
haddock-interfaces: /usr/share/doc/haskell-enclosed-exceptions/html/enclosed-exceptions.haddock
haddock-html: /usr/share/doc/haskell-enclosed-exceptions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

